CRTEST(1)

NAME
crtest - test cases for QDBM Curia

SYNOPSIS

crtest write [-s] [-lob] name rnum bnum dnum
crtest read [-wb] [-lob] name
crtest rcat [-c] name rnum bnum dnum pnum align
crtest combo name
crtest wicked [-c] name rnum

DESCRIPTION

The command `crtest' is a utility for facility test and performance test. Check a database generated by the command or measure the execution time of the command. This command is used in the following format. `name' specifies a database name. `rnum' specifies the number of records. `bnum' specifies the number of elements of a bucket array. `dnum' specifies the number of division of a database. `pnum' specifies the number of patterns of the keys. `align' specifies the basic size of alignment. `fbpsiz' specifies the size of the free block pool.

crtest write [-s] [-lob] name rnum bnum dnum
    Store records with keys of 8 bytes. They change as `00000001', `00000002'...

crtest read [-wb] [-lob] name
    Retrieve all records of the database above.

crtest rcat [-c] name rnum bnum dnum pnum align fbpsiz
    Store records with partway duplicated keys using concatenate mode.

crtest combo name
    Perform combination test of various operations.

crtest wicked [-c] name rnum
    Perform updating operations selected at random.

Options feature the following.

    -s : make the files sparse.
    -lob : handle large objects.
    -wb : use the function `crgetwb' instead of the function `crget'.
    -c : perform comparison test with map of Cabin.

This command returns 0 on success, another on failure. The environment variable `QDBMDBGFD' specifies the file descriptor to output the history of updating the variable `dpecode'.

SEE ALSO

qdbm(3), curia(3)

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.